Skip to content

Skip Force Password Change

When calling the username/password login API, if the password is about to expire, and the user chooses to skip changing the password, call this API.

Request Description

Request Headers

Parameter NameNameRequiredTypeExample
X-operating-sys-versionCaller client operating system versionYesStringwindows10.1.1
X-device-fingerprintCaller client device fingerprintYesString156aysdna213sc50
X-device-ipCaller client IPNoString192.168.1.2
X-agentUser-Agent informationYesStringMozilla/5.0 (iPhone; CPU iPhone OS 13_3 like Mac OS X)
X-LUsed for internationalization language settingNoStringzh
X-client-idApplication authorization IDYesStringnTo1eRIub60vPb54WeE6aojPwYwImtl4
X-state-tokenTemporary tokenYesStringeyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWJqZWN0Ijoie1
content-typeContent format typeYesStringapplication/json

Request Example

None

Request Parameters

None

Response Example

Success Example

HTTP/1.1 200 OK

json
{
    "status": "SUCCESS",
    "expire": 43200,
    "session_token": "LGTiTNVDFPlpefV3F3Hla7RUFTqInsqa",
    "id_token": "eyJ0NiJ9.eyJ1cI6IjIifX0.DeWt4QuZXso"
}

Error Example

HTTP/1.1 400 Bad Request

json
{
    "error_code": "IDAAS.SDK.PARAM.0014",
    "error_msg": "Invalid state token"
}

Response Parameters

Parameter NameNameTypeDescription
statusReturn resultStringPossible values are as follows:
SUCCESS login successful
ACCESS_DENIED access denied
expiresession_token validity periodNumbersession_token validity period; within the validity period, session_token can be used to obtain ticket
session_tokenUser session_tokenStringUser session_token; this token can be used to call IDaaS APIs to obtain sso_ticket, and sso_ticket can be exchanged for user information
id_tokenShort-term valid interface call tokenStringThis field is in JWT format and contains user identity information. For details, see Get User Info from id_token. The token validity period defaults to 5 minutes and is configurable.

Error Codes

Status CodeError CodeChinese Error MessageEnglish Error MessageResolution
400IDAAS.SDK.PARAM.0001设备信息不完整Device information is incompletePlease check whether the input device information is complete
400IDAAS.SDK.PARAM.0002clientId不能为空clientId cannot be emptyPlease check whether the input clientId is empty
400IDAAS.SDK.PARAM.0003应用未注册,请先注册应用The app is not registered, please register the app firstPlease check whether the input clientId is correct
400IDAAS.SDK.PARAM.0013临时令牌不能为空State token cannot be emptyPlease check whether the input temporary token is empty
400IDAAS.SDK.PARAM.0014临时令牌无效Invalid state tokenPlease check whether the input temporary token is correct
400IDAAS.SDK.USER.0001用户未找到User not foundPlease register first and try again
400IDAAS.SDK.USER.0039用户已被禁用User is disabledPlease contact the administrator

BambooCloud IDaaS Open Platform